#ifndef GAP_WS_WINDOW_P_H
#define GAP_WS_WINDOW_P_H

#include "ggap/wswindow.h"
#include "ggap/worksheet.h"
#include <QDialog>
#include <QPointer>
#include <QFile>
#include <QFileInfo>
#include <QMenuBar>
#include <QCoreApplication>

namespace ggap {

struct WsWindowPrivate {
    M_DECLARE_PUBLIC(WsWindow)

    QToolBar *formatToolbar;

    WsWindowPrivate(WsWindow *q) :
        pub(q),
        formatToolbar(0)
    {
    }

    ~WsWindowPrivate()
    {
    }

    void setupMenuBar(Ui::WsWindow *ui);
    void setupFormatToolbar(Ui::WsWindow *ui);
};

} // namespace ggap

#endif // GAP_WS_WINDOW_P_H
